aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKylie McClain <kylie@somas.is>2021-06-28 15:22:38 -0400
committerKylie McClain <kylie@somas.is>2021-06-28 15:22:38 -0400
commit44d2b2ce0891ab4a743538ef69311b6d803e72b8 (patch)
tree0da3f8b0626dc4148302130bdd5eb5d0d0685313
parenta1ab357e580c00bc1046024d1461bfa5355ff752 (diff)
downloadgitolite-admin-master.tar.gz
gitolite-admin-master.tar.xz
gitolite-admin-master.zip
hooks/laminar: fix issue encountered with `set -e`HEADmaster
-rwxr-xr-xlocal/hooks/repo-specific/laminar2
1 files changed, 1 insertions, 1 deletions
diff --git a/local/hooks/repo-specific/laminar b/local/hooks/repo-specific/laminar
index ede08ce..d23ac28 100755
--- a/local/hooks/repo-specific/laminar
+++ b/local/hooks/repo-specific/laminar
@@ -14,7 +14,7 @@ job_exists() {
done
}
-custom_job=$(gitolite git-config "${GL_REPO}" gitolite-options.laminar.job 2>/dev/null)
+custom_job=$(gitolite git-config "${GL_REPO}" gitolite-options.laminar.job 2>/dev/null || :)
if job_exists "^${name}($|-.*)"; then
job=$(laminarc show-jobs | grep -E "^${name}($|-.*)")